/***************************************************************************
                          AimingState.cpp  -  description
                             -------------------
    begin                : Mon Dec 24 2001
    copyright            : (C) 2001 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "AimingState.h"
#include "Launcher.h"
#include "GameWidget.h"

AimingState::AimingState(GameWidget *gl)
	: LauncherTurnState(gl)
{
}
//----------------------------------------------------------------------------------------
AimingState::~AimingState()
{
}
//----------------------------------------------------------------------------------------
enum GameState::State AimingState::type()
{
	return Aiming;
}
//----------------------------------------------------------------------------------------
void AimingState::initialize()
{
	m_myLogic->armLauncher();
}
//----------------------------------------------------------------------------------------
void AimingState::keyPressEvent(QKeyEvent *e)
{
	if(e->isAutoRepeat())
		return;
		
	switch(e->key())
	{
	case Qt::Key_Space:
		m_myLogic->shoot();
		break;

	default:
		LauncherTurnState::keyPressEvent(e);
	}
}
//----------------------------------------------------------------------------------------
