/***************************************************************************
                          AimingState.h  -  description
                             -------------------
    begin                : Mon Dec 24 2001
    copyright            : (C) 2001 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef AIMINGSTATE_H
#define AIMINGSTATE_H

#include "LauncherTurnState.h"

/**
  *@author Thorsten Scheuermann
  */

class AimingState : public LauncherTurnState
{
public: 
	AimingState(GameWidget *gl);
	virtual ~AimingState();
	
	virtual enum State type();
	virtual void initialize();
	virtual void keyPressEvent(QKeyEvent *e);
};

#endif
