/***************************************************************************
                          GameState.cpp  -  description
                             -------------------
    begin                : Mon Dec 24 2001
    copyright            : (C) 2001 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "GameState.h"
#include "GameWidget.h"
#include <qevent.h>
#include <qstring.h>

//----------------------------------------------------------------------------------------
GameState::GameState(GameWidget *gl)
	: QObject(gl)
{
	m_myLogic = gl;
}
//----------------------------------------------------------------------------------------
GameState::~GameState()
{
}
//----------------------------------------------------------------------------------------
void GameState::initialize()
{
}
//----------------------------------------------------------------------------------------
void GameState::update()
{
}
//----------------------------------------------------------------------------------------
void GameState::reset()
{
}
//----------------------------------------------------------------------------------------
void GameState::keyPressEvent(QKeyEvent *e)
{
	if(e->key() == Qt::Key_Escape)
		m_myLogic->abortGame();
	else if((e->text() == "q") || (e->text() == "Q"))
		m_myLogic->abortGame();
	else
		e->ignore();
}
//----------------------------------------------------------------------------------------
void GameState::keyReleaseEvent(QKeyEvent *e)
{
	e->ignore();
}
//----------------------------------------------------------------------------------------
void GameState::mousePressEvent(QMouseEvent *)
{
}
//----------------------------------------------------------------------------------------
