/***************************************************************************
                          IdleState.h  -  description
                             -------------------
    begin                : Tue Dec 25 2001
    copyright            : (C) 2001 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef IDLESTATE_H
#define IDLESTATE_H

#include "GameState.h"

/**
  *@author Thorsten Scheuermann
  */

class IdleState : public GameState
{
public: 
	IdleState(GameWidget *gl);
	~IdleState();
	
	virtual enum State type();
	virtual void keyPressEvent(QKeyEvent *e);
};

#endif
