/***************************************************************************
                          MovingState.h  -  description
                             -------------------
    begin                : Mon Dec 24 2001
    copyright            : (C) 2001 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MOVINGSTATE_H
#define MOVINGSTATE_H

#include "LauncherTurnState.h"

/**
  *@author Thorsten Scheuermann
  */

class MovingState : public LauncherTurnState
{
public: 
	MovingState(GameWidget *gl);
	virtual ~MovingState();
	
	virtual enum State type();
	virtual void update();

protected:
	bool checkCollision();
};

#endif
