/***************************************************************************
                          NameInputDialog.cpp  -  description
                             -------------------
    begin                : Sun Jan 13 2002
    copyright            : (C) 2002 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "NameInputDialog.h"
#include <qlineedit.h>

//----------------------------------------------------------------------------------------
NameInputDialog::NameInputDialog(QWidget *parent = 0, const char *name = 0)
	: NameInputDialogBase(parent, name, true)
{
}
//----------------------------------------------------------------------------------------
NameInputDialog::~NameInputDialog()
{
}
//----------------------------------------------------------------------------------------
QString NameInputDialog::getName(QString &defaultName, QWidget *parent = 0)
{
	NameInputDialog theDialog(parent, "nameInput");
	theDialog.m_nameEdit->setText(defaultName);
	theDialog.m_nameEdit->setSelection(0, defaultName.length());
	theDialog.m_nameEdit->setFocus();
	theDialog.exec();
	return theDialog.m_nameEdit->text();
}
//----------------------------------------------------------------------------------------
