/***************************************************************************
                          HighscoreWidget.h  -  description
                             -------------------
    begin                : Sat Jan 12 2002
    copyright            : (C) 2002 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HIGHSCOREWIDGET_H
#define HIGHSCOREWIDGET_H

#include <qwidget.h>

/**
  *@author Thorsten Scheuermann
  */

class HighscoreTable;

class HighscoreWidget : public QWidget
{
   Q_OBJECT

public:
	HighscoreWidget(QWidget *parent=0, const char *name=0);
	virtual ~HighscoreWidget();
	
	void setScores(HighscoreTable *scoreTable);

protected:
	virtual void paintEvent(QPaintEvent *);
	
	HighscoreTable *m_scoreTable;
};

#endif
