/***************************************************************************
                          IdleState.cpp  -  description
                             -------------------
    begin                : Tue Dec 25 2001
    copyright            : (C) 2001 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "IdleState.h"
#include "GameWidget.h"

//----------------------------------------------------------------------------------------
IdleState::IdleState(GameWidget *gl)
	: GameState(gl)
{
}
//----------------------------------------------------------------------------------------
IdleState::~IdleState()
{
}
//----------------------------------------------------------------------------------------
enum GameState::State IdleState::type()
{
	return Idle;
}
//----------------------------------------------------------------------------------------
void IdleState::keyPressEvent(QKeyEvent *e)
{
	e->ignore();
}
//----------------------------------------------------------------------------------------
