/***************************************************************************
                          NameInputDialog.h  -  description
                             -------------------
    begin                : Sun Jan 13 2002
    copyright            : (C) 2002 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NAMEINPUTDIALOG_H
#define NAMEINPUTDIALOG_H

#include "NameInputDialogBase.h"

/**
  *@author Thorsten Scheuermann
  */

class NameInputDialog : protected NameInputDialogBase
{
public:
	virtual ~NameInputDialog();
	
	static QString getName(QString &defaultName, QWidget *parent = 0);
	
protected:
	NameInputDialog(QWidget *parent = 0, const char *name = 0);
};

#endif
